# LaTeX Example: CMR Technical Report Class

## Before You Begin

These steps require you to install the class file and images dir
into your texmf directory, see [../Readme.md](../Readme.md)).

## Usage

To use the cmrtechreport class, specify it like so:

```
\documentclass[12pt]{cmrtechreport}
```

## Barebones Example

The following `barebones.tex` provides a barebones
document template with no other packages included.

```
\documentclass[12pt]{cmrtechreport}

\title{Hello World}
\author{Foobar Dingbat}
\date{January 1, 2001}
\reportid{00000000-0000-0000-0000-000000000018}
\version{Version 1}
\orgurl{https://golly.life}

\orghierarchyfirst{E Division}
\orghierarchysecond{Spaceship Research Facility}

\begin{document}

% your document goes here

\end{document}
```

To render this file as a PDF, you would run the command:

```
pdflatex barebones.tex
```

However for this example.tex file see the instructions below.

## Running This Example

To render the example.tex file as a PDF, use the Makefile. To do that,
run the command `make latex`:

```
make latex
```

This will run the pdflatex command a few times to render the document
as a PDF and work out cross-references.

## Adding or Removing Table of Contents

For the table of contents to be included in the final document, the document using the technical report class must
explicitly include the `\tableofcontents` directive in the document.

You can edit `example.tex` to leave the table of contents out by
commenting out the `\tableofcontents` line.

## Section Numbering

By default, this style is based on the LaTeX `report` class,
which begins the numbering of table of contents items with
chapters.

If you are writing a document with sections only, the sections
will be numbered 0.1, 0.2, etc. To number them like 1, 2, ...
instead, redefine the `\thesection` command (a built-in LaTeX
command that determines how section numbers are generated):

```
% Number sections like 1, 2, ... instead of 0.1, 0.2, ...
\renewcommand\thesection{\arabic{section}}
```

This should go before `\begin{document}`.
