# LyX Example: CMR Technical Report Class

This directory contains an example of how to use the technical report
class from LyX.

## Installation Instructions

First, install the technical report LaTeX class to the texmf directory
by running `make install-latex` from the root of this repository
(see [../Readme.md](../Readme.md)):

```
pushd ..
make install-latex
popd
```

Second, install the LyX layout to the LyX layouts directory,
which is probably at `~/Library/Application Support/LyX-2.2/`.
The LyX .layout file is a simple "wrapper" around the LaTeX 
class (.cls file).

```
pushd ..
make install-lyx
popd
```

Third, open LyX and select Tools > Reconfigure.
This will re-load the new LyX layout. It will require you to restart LyX
to use the new layout.

Finally, restart LyX, create a new document, and select Document > Settings.
Verify that the new CMR technical report class shows up at the bottom of the
document class drop-down list (under the "Reports" heading).

## Usage Instructions

Once you've installed the layout in LyX, you can use it in any LyX document.
You will also need to specify the parameters the report class requires.
To do that, go to Document > Settings > LaTeX Preamble and insert the
document parameters; for example,

``` 
\title{Hello World}
\author{Foobar Dingbat}
\date{January 1, 2001}

\reportid{00000000-0000-0000-0000-000000000018}
\version{Version 1}
\orgurl{https://golly.life}

\orghierarchyfirst{E Division}
\orghierarchysecond{Spaceship Research Facility}
```
